Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind.binding
Class BindConstantBinding<T>

    java.lang.Object
      com.google.gwt.inject.rebind.binding.BindConstantBinding<T>

All Implemented Interfaces:
  Binding

    public class BindConstantBinding<T>

extends java.lang.Object
implements Binding

Binding for a constant value.

Method Summary
`Context` | `getContext()` Returns the context in which this binding was created.
`SourceSnippet` | `getCreationStatements(NameGenerator nameGenerator, java.util.List<InjectorMethod> methodsOutput)` Gets one or more fully formed Java statements that create the bound value and store it in a new local variable named `result`.
`java.util.Collection<Dependency>` | `getDependencies()` Returns the set of dependencies that this binding produces.
`java.lang.String` | `getGetterMethodPackage()` Returns the package in which the getter for the bound key is created.
`java.util.Collection<TypeLiteral<?>>` | `getMemberInjectRequests()` Returns the set of types for which this binding requires member injection methods to be written.
`static boolean` | `isConstantKey(Key<?> key)` Returns true if the provided key is a valid constant key, i.e.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gwt.inject.rebind.binding.Binding
`getContext, getGetterMethodPackage, getMemberInjectRequests`

Method Detail

### isConstantKey

    public static boolean isConstantKey(Key<?> key)

  Returns true if the provided key is a valid constant key, i.e. if a constant binding can be legally created for it.

  Parameters:
    `key` - key to check
  Returns:
    true if constant key

### getCreationStatements

    public SourceSnippet getCreationStatements(NameGenerator nameGenerator,
                                               java.util.List<InjectorMethod> methodsOutput)
                                        throws NoSourceNameException

  Description copied from interface: `Binding`
  Gets one or more fully formed Java statements that create the bound value and store it in a new local variable named `result`. If additional methods are to be created, the given `NameGenerator` should be used to choose their names, and they should be added to `methodsOutput`.

  Specified by:
    `getCreationStatements` in interface `Binding`
  Throws:
    `NoSourceNameException` - if source name is not available for type

### getDependencies

    public java.util.Collection<Dependency> getDependencies()

  Description copied from interface: `Binding`
  Returns the set of dependencies that this binding produces. This contains edges coming into the key that this type binds (from `Dependency.GINJECTOR`) as well as dependencies that this binding needs.

  Specified by:
    `getDependencies` in interface `Binding`

### getContext

    public Context getContext()

  Description copied from interface: `Binding`
  Returns the context in which this binding was created.

  Specified by:
    `getContext` in interface `Binding`

### getGetterMethodPackage

    public java.lang.String getGetterMethodPackage()

  Description copied from interface: `Binding`
  Returns the package in which the getter for the bound key is created. This is used by other bindings and by the top-level interface to determine which package this binding's method was written to. Implementors may assume that all other bindings have been created and placed in their respective `GinjectorBindings` objects.

  Typically this will be the package containing the type that is returned by the getter, but the only requirement is that it has to be a package where the return type is visible.

  Specified by:
    `getGetterMethodPackage` in interface `Binding`

### getMemberInjectRequests

    public java.util.Collection<TypeLiteral<?>> getMemberInjectRequests()

  Description copied from interface: `Binding`
  Returns the set of types for which this binding requires member injection methods to be written.

  Specified by:
    `getMemberInjectRequests` in interface `Binding`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD